.page-header {
  z-index: 20;
  background: #fff;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  box-shadow: 0 0 rem(6) rgba(#000, .5);
}

.header {
  @include elastic(10, 25, $xs, $xl, 'margin-top');
  @include elastic(10, 30, $xs, $xl, 'margin-bottom');
  &__logo {
    padding: rem(5px);
    &--homepage{
      margin-top: rem(30px);
      @include media($xl) {
        position: absolute;
        //background: linear-gradient(to bottom, black 40px, transparent 50%);
        left: 0;
        top: 0;
        width: 100%;
        margin-top: 0 !important;
        padding: rem(20) rem(10) rem(400) rem(50) !important;
      }
    }
  }
}

.logo {
  display: flex;
  height: rem(80);
  align-items: center;
  padding: 0 rem(10);

  img {
    display: block;
    max-width: 100%;
    max-height: 80%;
  }

  svg {
    max-width: 100%;
    max-height: 100%;
    fill: $color-primary;
  }

  &--sm {
    width: rem(60);
    height: rem(60);
  }
}

.header-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: rem(60);
  border-left: 1px solid #f1f1f1;
  border-right: 1px solid #f1f1f1;
  cursor: pointer;

  svg {
    fill: #000;
    transition: fill .25s;
    width: 26%;
  }

  &:hover {
    svg {
      fill: $color-primary;
    }
  }
}
